Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.utils
Class CreateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.utils.CreateException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public final class CreateException
extends weblogic.utils.NestedException

The `CreateException` exception is thrown when there is a problem detected with the object to be created. This exception typically contains a nested exception (returned from the entity attempting to create the object) that provides more information about the underlying error.

For example, if a management runtime method detects that the expression format supplied for creating a security role or a security policy is invalid, it may throw a `CreateException` exception.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`CreateException(String message)` Constructs a `CreateException` with the specified detail message.
`CreateException(String message, Throwable t)` Constructs a `CreateException` that specifies the detail message and the nested exception.
`CreateException(Throwable t)` Constructs a `CreateException` that specifies the nested exception.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateException

    public CreateException(String message)

  Constructs a `CreateException` with the specified detail message. A detail message is a String that describes this particular exception.

### CreateException

    public CreateException(String message,
                           Throwable t)

  Constructs a `CreateException` that specifies the detail message and the nested exception. A detail message is a String that describes this particular exception.

### CreateException

    public CreateException(Throwable t)

  Constructs a `CreateException` that specifies the nested exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD